import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Diagram, DRectangle, DSquare, DCircle, DEllipse, DLine, DImage, DText, DDiamond, DParallelogram, DHexagon, DTriangle, DCylinder, DCloud, DDocument, DCallout, DFlowLayout, DTreeLayout, DRadialLayout, DOrganicLayout, DCircleLayout, DStackLayout, DPartitionLayout } from './components/diagram';
export var DiagramComponent = Intact.decorate(Diagram, 'k-diagram');
export var DRectangleComponent = Intact.decorate(DRectangle, 'k-d-rectangle');
export var DSquareComponent = Intact.decorate(DSquare, 'k-d-square');
export var DCircleComponent = Intact.decorate(DCircle, 'k-d-circle');
export var DEllipseComponent = Intact.decorate(DEllipse, 'k-d-ellipse');
export var DLineComponent = Intact.decorate(DLine, 'k-d-line');
export var DImageComponent = Intact.decorate(DImage, 'k-d-image');
export var DTextComponent = Intact.decorate(DText, 'k-d-text');
export var DDiamondComponent = Intact.decorate(DDiamond, 'k-d-diamond');
export var DParallelogramComponent = Intact.decorate(DParallelogram, 'k-d-parallelogram');
export var DHexagonComponent = Intact.decorate(DHexagon, 'k-d-hexagon');
export var DTriangleComponent = Intact.decorate(DTriangle, 'k-d-triangle');
export var DCylinderComponent = Intact.decorate(DCylinder, 'k-d-cylinder');
export var DCloudComponent = Intact.decorate(DCloud, 'k-d-cloud');
export var DDocumentComponent = Intact.decorate(DDocument, 'k-d-document');
export var DCalloutComponent = Intact.decorate(DCallout, 'k-d-callout');
export var DFlowLayoutComponent = Intact.decorate(DFlowLayout, 'k-d-flow-layout');
export var DTreeLayoutComponent = Intact.decorate(DTreeLayout, 'k-d-tree-layout');
export var DRadialLayoutComponent = Intact.decorate(DRadialLayout, 'k-d-radial-layout');
export var DOrganicLayoutComponent = Intact.decorate(DOrganicLayout, 'k-d-organic-layout');
export var DCircleLayoutComponent = Intact.decorate(DCircleLayout, 'k-d-circle-layout');
export var DStackLayoutComponent = Intact.decorate(DStackLayout, 'k-d-stack-layout');
export var DPartitionLayoutComponent = Intact.decorate(DPartitionLayout, 'k-d-partition-layout');
var components = [DiagramComponent, DRectangleComponent, DSquareComponent, DCircleComponent, DEllipseComponent, DLineComponent, DImageComponent, DTextComponent, DDiamondComponent, DParallelogramComponent, DHexagonComponent, DTriangleComponent, DCylinderComponent, DCloudComponent, DDocumentComponent, DCalloutComponent, DFlowLayoutComponent, DTreeLayoutComponent, DRadialLayoutComponent, DOrganicLayoutComponent, DCircleLayoutComponent, DStackLayoutComponent, DPartitionLayoutComponent];
var DiagramModule = /** @class */ (function () {
    function DiagramModule() {
    }
    DiagramModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], DiagramModule);
    return DiagramModule;
}());
export { DiagramModule };